## ros-humble-rclcpp-cascade-lifecycle 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rclcpp_cascade_lifecycle)

# Default to C99
if(NOT CMAKE_C_STANDARD)
  set(CMAKE_C_STANDARD 99)
endif()

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(lifecycle_msgs REQUIRED)
find_package(cascade_lifecycle_msgs REQUIRED)

set(dependencies
  rclcpp
  rclcpp_lifecycle
  lifecycle_msgs
  cascade_lifecycle_msgs
)

include_directories(include)

add_library(${PROJECT_NAME} SHARED
  src/rclcpp_cascade_lifecycle/rclcpp_cascade_lifecycle.cpp
)
ament_target_dependencies(${PROJECT_NAME} ${dependencies})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  add_subdirectory(test)
endif()

install(DIRECTORY include/
  DESTINATION include/
)

install(TARGETS
  ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION lib/${PROJECT_NAME}
)

ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})
ament_export_dependencies(${dependencies})

ament_package()

=== debian/changelog ===
ros-humble-rclcpp-cascade-lifecycle (1.0.2-2jammy) jammy; urgency=high

  * Fix new deactivation publishers policy
  * Contributors: Francisco Martín Rico

 -- fmrico <fmrico@gmail.com>  Fri, 30 Dec 2022 23:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (1.0.1-2jammy) jammy; urgency=high



 -- fmrico <fmrico@gmail.com>  Wed, 25 May 2022 22:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (1.0.0-2jammy) jammy; urgency=high

  * Add support for namespace&Fix CI
    1. add support for namespace & test code
    2. fix CI config to v0.2
  * Dynamic add/remove deps
  * Contributors: Francisco Martin Rico, Francisco Martín Rico, Homalozoa

 -- fmrico <fmrico@gmail.com>  Fri, 02 Jul 2021 22:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.5-2jammy) jammy; urgency=high

  * Fix shared_ptr ambiguous error
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Wed, 25 Mar 2020 23:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.4-2jammy) jammy; urgency=high



 -- fmrico <fmrico@gmail.com>  Sun, 22 Mar 2020 23:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.3-2jammy) jammy; urgency=high

  * Installing headers and libs
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add license
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Sat, 21 Mar 2020 23:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.2-2jammy) jammy; urgency=high

  * Adding CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Complete functional version
  * Nodes chained
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Thu, 12 Mar 2020 23:00:00 -0000

=== debian/control ===
Source: ros-humble-rclcpp-cascade-lifecycle
Section: misc
Priority: optional
Maintainer: fmrico <fmrico@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-cascade-lifecycle-msgs, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rclcpp-cascade-lifecycle
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-cascade-lifecycle-msgs, ros-humble-lifecycle-msgs, ros-humble-rclcpp, ros-humble-rclcpp-lifecycle, ros-humble-ros-workspace
Description: Provides a mechanism to make trees of lifecycle nodes to propagate state changes

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rclcpp-cascade-lifecycle//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-rclcpp-cascade-lifecycle 1.1.0

=== debian/changelog ===
ros-humble-rclcpp-cascade-lifecycle (1.1.0-1bookworm) bookworm; urgency=high

  * Fix clear activations
  * Contributors: Francisco Martín Rico

 -- fmrico <fmrico@gmail.com>  Wed, 03 Apr 2024 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (1.0.2-1bookworm) bookworm; urgency=high

  * Fix new deactivation publishers policy
  * Contributors: Francisco Martín Rico

 -- fmrico <fmrico@gmail.com>  Fri, 30 Dec 2022 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (1.0.1-1bookworm) bookworm; urgency=high



 -- fmrico <fmrico@gmail.com>  Wed, 25 May 2022 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (1.0.0-1bookworm) bookworm; urgency=high

  * Add support for namespace&Fix CI
    1. add support for namespace & test code
    2. fix CI config to v0.2
  * Dynamic add/remove deps
  * Contributors: Francisco Martin Rico, Francisco Martín Rico, Homalozoa

 -- fmrico <fmrico@gmail.com>  Fri, 02 Jul 2021 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.5-1bookworm) bookworm; urgency=high

  * Fix shared_ptr ambiguous error
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Wed, 25 Mar 2020 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.4-1bookworm) bookworm; urgency=high



 -- fmrico <fmrico@gmail.com>  Sun, 22 Mar 2020 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.3-1bookworm) bookworm; urgency=high

  * Installing headers and libs
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Add license
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Sat, 21 Mar 2020 16:00:00 -0000

ros-humble-rclcpp-cascade-lifecycle (0.0.2-1bookworm) bookworm; urgency=high

  * Adding CI
    Signed-off-by: Francisco Martin Rico <mailto:fmrico@gmail.com>
  * Complete functional version
  * Nodes chained
  * Contributors: Francisco Martin Rico

 -- fmrico <fmrico@gmail.com>  Thu, 12 Mar 2020 16:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rclcpp-cascade-lifecycle//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rclcpp-cascade-lifecycle//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rclcpp-cascade-lifecycle//opt/ros/humble/opt/rclcpp_cascade_lifecycle/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
